summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-11 22:54:57 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:57 +0200
commitc2bfcda4247edf3d70065b1fe91077972017b81d (patch)
tree0cee4340a5cc93b8cf0ee6dcb76271bb19f7929c /network
parentedc1cb3d4676b663d0029f7cce6a41f89ae8ecd8 (diff)
downloadslackbuilds-c2bfcda4247edf3d70065b1fe91077972017b81d.tar.gz
slackbuilds-c2bfcda4247edf3d70065b1fe91077972017b81d.tar.xz
network/mz: Added to 12.1 repository
Diffstat (limited to 'network')
-rw-r--r--network/mz/README18
-rw-r--r--network/mz/mz.SlackBuild87
-rw-r--r--network/mz/mz.info8
-rw-r--r--network/mz/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/network/mz/README b/network/mz/README
new file mode 100644
index 0000000000..6d3ba2a34c
--- /dev/null
+++ b/network/mz/README
@@ -0,0 +1,18 @@
+Mausezahn is a **fast traffic generator** written in C which allows you
+to send nearly every possible and impossible packet.
+Mausezahn can be used for example
+
+ - As traffic generator (e. g. to stress multicast networks)
+ - For penetration testing of firewalls and IDS
+ - For DoS attacks on networks (for audit purposes of course)
+ - To find bugs in network software or appliances
+ - For reconnaissance attacks using ping sweeps and port scans
+ - To test network behaviour under strange circumstances (stress test,
+ malformed packets, ...)
+ - As didactical tool during lab exercises
+
+...and more. Mausezahn is basically a versatile packet creation tool on
+the command line with a simple syntax and online help. It could also be
+used within (bash-) scripts to perform combination of tests.
+
+Mausezahn requires libnet, which is also available from SlackBuilds.org. \ No newline at end of file
diff --git a/network/mz/mz.SlackBuild b/network/mz/mz.SlackBuild
new file mode 100644
index 0000000000..da7e484363
--- /dev/null
+++ b/network/mz/mz.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for mz
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mz
+VERSION=0.34.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr
+
+make
+make install DESTDIR=$PKG
+
+mv $PKG/usr/share/man $PKG/usr/
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/mz/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf $PKG/usr/share
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/mz/mz.info b/network/mz/mz.info
new file mode 100644
index 0000000000..52749c9e4a
--- /dev/null
+++ b/network/mz/mz.info
@@ -0,0 +1,8 @@
+PRGNAM="mz"
+VERSION="0.34.5"
+HOMEPAGE="http://www.perihel.at/sec/mz"
+DOWNLOAD="http://www.perihel.at/sec/mz/mz-0.34.5.tar.gz"
+MD5SUM="3b83f54dfddc4e1e3613d373d885d016"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero"
diff --git a/network/mz/slack-desc b/network/mz/slack-desc
new file mode 100644
index 0000000000..89604c7771
--- /dev/null
+++ b/network/mz/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------------|
+mz: mz (fast network-traffic generator)
+mz:
+mz: Mausezahn is a **fast traffic generator** written in C which allows you
+mz: to send nearly every possible and impossible packet. Mausezahn can be
+mz: used for example:
+mz: - As traffic generator (e. g. to stress multicast networks)
+mz: - For penetration testing of firewalls and IDS
+mz: - For DoS attacks on networks (for audit purposes of course)
+mz: - and many more...
+mz:
+mz: Homepage: http://www.perihel.at/sec/mz